Index: /LICENSE
===================================================================
--- /LICENSE	(revision 422)
+++ /LICENSE	(revision 1)
@@ -1,3 +1,3 @@
-Copyright 2003-2011 Rick van der Zwet. All rights reserved.
+Copyright 2003-2009 Rick van der Zwet. All rights reserved.
 
 Redistribution and use in source and binary forms, including
@@ -17,11 +17,11 @@
 IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
-PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL RICK VAN DER ZWET
-BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
-OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
-PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
-OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE FREEBSD
+DOCUMENTATION PROJECT BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
-OF THE USE OF THIS SOFTWARE OR DOCUMENTATION, EVEN IF ADVISED OF THE
-POSSIBILITY OF SUCH DAMAGE.
+OF THE USE OF THIS DOCUMENTATION, EVEN IF ADVISED OF THE POSSIBILITY
+OF SUCH DAMAGE.
Index: ADME
===================================================================
--- /README	(revision 422)
+++ 	(revision )
@@ -1,31 +1,0 @@
-Welcome to my repository. The repository is structured based on subject (and
-possible sub-subject).
-
-= Directory layout =
-asterisk	   = Supporting asterisk application (phone-book).
-banobsd		   = NanoBSD the binary way.
-cgi-scripts	   = Random collection of scripts to be used a CGI script.
-cv      	   = curiculum vitae.
-cvsmailer	   = Some crude attempt to get nicely formatted CVS commit logs.
-dyndns		   = Homebrew Dynamic DNS service.
-foomailer	   = Easy debug tool for email setups (sending fake SPAM/Virii).
-freebsd-mgnt	   = Various shell snippets I use to administer my BSD machines.
-freebsd-mos-driver = Work in progress to port mos driver to FreeBSD.
-java-automator     = Try to 'automate' a GUI process 'FarmVille' used as example.
-liacs   	   = assigments of subjects at LIACS - Leiden University.
-misc               = Hidden Gems, but most of the time useless :-).
-nagios             = Nagios configuration used in my personal monitoring setup.
-powerbar	   = Comtrol the NPM4000 like powerbars via TCP/IP.
-powerbar	   = NPM4000 Powerbar Control hacking.
-rdnap              = WebInterface Wrapper around rdnap Perl library.
-timediff           = Little hack to reliable sync time over non-reliable links.
-tools		   = Collection of script focused to run a FreeBSD based system.
-transmission	   = My BitTorrent Configuration.
-
-= Files =
-favicon.ico	       = my 'initials'.
-foaf.rdf               = Friend Of A Friend card.
-rickvanderzwet.gpg.txt = Public GPG key.
-rickvanderzwet.png     = A picture of me.
-rickvanderzwet.pub     = public SSH key.
-
Index: af.rdf
===================================================================
--- /foaf.rdf	(revision 422)
+++ 	(revision )
@@ -1,48 +1,0 @@
-<?xml version="1.0" standalone="yes"?>
-<rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-  xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#"
-  xmlns:foaf="http://xmlns.com/foaf/0.1/"
-  xmlns:contact="http://www.w3.org/2000/10/swap/pim/contact#"
-  xmlns:air="http://www.daml.org/2001/10/html/airport-ont#"
-  xmlns:wn="http://xmlns.com/wordnet/1.6/" 
-  xmlns:admin="http://webns.net/mvcb/">
-  <foaf:PersonalProfileDocument rdf:about="">
-    <foaf:maker rdf:resource="#me" />
-    <foaf:primaryTopic rdf:resource="#me" />
-    <admin:generatorAgent rdf:resource="http://www.ldodds.com/foaf/foaf-a-matic" />
-    <admin:errorReportsTo rdf:resource="mailto:leigh@ldodds.com" />
-  </foaf:PersonalProfileDocument>
-  <foaf:Person rdf:ID="me">
-    <foaf:name>Rick van der Zwet</foaf:name>
-    <foaf:givenname>Rick</foaf:givenname>
-    <foaf:family_name>van der Zwet</foaf:family_name>
-    <foaf:nick>rickvanderzwet</foaf:nick>
-    <foaf:mbox rdf:resource="mailto:info@rickvanderzwet.nl" />
-    <foaf:mbox_sha1sum>05b5e7cd6db31497d8392a7c6314cfd67030751f</foaf:mbox_sha1sum>
-    <foaf:mbox_sha1sum>222f54ab3fda1d3fcb97274b0faee09d926a79d2</foaf:mbox_sha1sum>
-    <foaf:mbox_sha1sum>41862c65327b5fb3f163a92a1ad3d2568cabe571</foaf:mbox_sha1sum>
-    <foaf:mbox_sha1sum>9de1638d3d571a546dc42480e120ce200d2968fc</foaf:mbox_sha1sum>
-    <foaf:mbox_sha1sum>fdf83a64ad0a92c2c3236f00a1681333acbcae50</foaf:mbox_sha1sum>
-    <foaf:mbox_sha1sum>81013ce5de5e98ffba8a675d6acf835763672f31</foaf:mbox_sha1sum>
-    <foaf:homepage rdf:resource="http://rickvanderzwet.nl" />
-    <foaf:depiction rdf:resource="http://rickvanderzwet.nl/about/mugshot.jpg" />
-    <foaf:phone rdf:resource="tel:0031626728599" />
-    <foaf:workplaceHomepage rdf:resource="http://www.optiver.com" />
-    <foaf:schoolHomepage rdf:resource="http://www.liacs.nl" />
-    <foaf:weblog rdf:resource="http://rickvanderzwet.nl/blog/" />
-  </foaf:Person>
-  <foaf:gender>male</foaf:gender>
-  <contact:nearestAirport>
-    <wn:Airport>
-       <air:iataCode>LID</air:iataCode>
-    </wn:Airport>
-  </contact:nearestAirport>
-  <foaf:account>
-    <foaf:OnlineAccount>
-      <rdf:type rdf:resource="http://xmlns.com/foaf/0.1/OnlineChatAccount" />
-      <foaf:accountServiceHomepage rdf:resource="http://www.freenode.net/" />
-      <foaf:accountName>rvdzwet</foaf:accountName>
-    </foaf:OnlineAccount>
-  </foaf:account>
-  <foaf:skypeID>rickvanderzwet</foaf:skypeID>
-</rdf:RDF>
Index: ckvanderzwet.gpg.txt
===================================================================
--- /rickvanderzwet.gpg.txt	(revision 422)
+++ 	(revision )
@@ -1,38 +1,0 @@
------BEGIN PGP PUBLIC KEY BLOCK-----
-Version: GnuPG v1.4.10 (GNU/Linux)
-
-mI0ESYo68wEEAKSgKJImCQIcSP/b+24TS0NYzxpf5Y34WOfQBaGpTVhkSXx2TCcF
-+kC0P3zzwAsrvL8AULpr2Ww33ahnQ7Cg3kzBxTneo6jdvQOBwshSHMey/PhBAu0e
-w9zrt/OuKToMJY2h0TRA2EG6OfcTA8LOm1wkWWadTUG+fqduKKeHDmjdABEBAAG0
-MUxhdW5jaHBhZCBQUEEgZm9yIFVidW50dSBNb3ppbGxhIERhaWx5IEJ1aWxkIFRl
-YW2ItgQTAQIAIAUCSYo68wIbAwYLCQgHAwIEFQIIAwQWAgMBAh4BAheAAAoJEO9B
-hv4kdRC+2KED/3F9TudOsjvGfeIevqUsOXocd3CQTGJMGu3YevuiBk+lrGj0EHi9
-MZ7yq3vi4ZVFoFairUhedQ6iuLrug301CkVNKSYwhwQzQRVkG0b8XqIAqg2UKlPe
-JD6nYoEncZNZkD0RHLDAM3Ii/PN1znMKyRZfWKI7MY1IPbECFXFQTv6ImQENBEyq
-w4kBCAD1I22+w0l+w93tfdn3ZsSy6JcTzlFmjvZYgSXqbcNsaawqS3pAGAaLJn9y
-6DYxl4EiJbzR1OtG1ZRTIIBkC71lNU9Tid0ICF47EV/JXnHF0Nnzv2UKHYEknDKa
-smNF/ElBvaSo9IqdQltrxZAAC79bUebHAO1u8EYsSeE4kSoxp+ps5CZobVCNVhHv
-+FTuig7qLkBH+PqwTyj8syW+AmRbldnaEOLHbLmY1xYbG3SYysSuYM4hYQYZylIr
-axUzqZQcBB5AWGrdjntCL092EZnD70sysoQ6aTcGnKz4AsiTNTo6F7ZIEYMzO07Z
-JW1ZmXxUy1wM5/9ftmz33WSREpkvABEBAAG0KlJpY2sgdmFuIGRlciBad2V0IDxp
-bmZvQHJpY2t2YW5kZXJ6d2V0Lm5sPokBOAQTAQIAIgUCTKrDiQIbAwYLCQgHAwIG
-FQgCCQoLBBYCAwECHgECF4AACgkQr1qCqUZzEERFdQf/cgSS6GxdRb221X78Gqg+
-i4sK5IMZEA/bF3xttFDzr3TvgIXhMleDEsEGZAgDptaIcgr3Wna4iyiGGjVvD0Gj
-oMsnO9fftCHvNq37ow+fegwIkucGmlu3Jmr+LU150MGwKBV78Wl6HpdkYwbSWsGY
-WoFYKsT8TDax4Bonc/jueFE5n9W0Y86yUygjC29w9jiSlA4unJmxV2qyapX1LdaB
-dYqmBj44WgtHqbHZteP7gEeylLLaHrJah33HxR5FMiieEvcNSJD6pzJyT54Ls/gs
-fO/fE5PVpZ+/v4x5OM0h1AJ6zU7H/SWDo410zIAs7XdiNmQ8Io2ppHGSPXWC/x9A
-PrkBDQRMqsOJAQgAqo+vOjbjf7EUbEk2dY1HxZhnZ4preDpQzubZDBVner76J7FW
-CXxG+Kp18b9Ck8st8bUU9dLGwQq1RxdDmlJ1wGI76PzzXdj1NBHnhah1QZ1ZgiOG
-YpQtBuSJJxoHMMjvEmktphdh42K27Yt9Oadck4HcrMT0a0uB592ccskfiDb6wMNt
-jFQ53ihUN/eVMmPcBf5kQm6+O4TECsam4Ga/3QDhGkwKkrNIGseUZc5nKa5HUdgj
-S2l0OP/ZC6JMal9Oxkn8N047XaSq9dghbQqiNGlca9ED7RbSizWbQ0H2OqQVmrNm
-sWXxd4jRPl7KyyNQ/k7np0xJXr7/8LytoH8/YQARAQABiQEfBBgBAgAJBQJMqsOJ
-AhsMAAoJEK9agqlGcxBE7woIAObCbWfuuYQCnH8qvaeF4D0bfqB08z8vaylHMbhS
-ZvCmPhX9ePWaUaxf5yXEzQfmB4NFXgL2zkllXBUZqDNoXjWJKE6e2atajRvb/dhg
-CiHsYtWKu2OUqIrxeKhZoqUsxtYxwIVR5kfMJekHMjbFyYUmAM+geSlV9SzbNPTX
-DMyKgV9oqQ0v1xt7oJVCMf5Uin2n8r0BRQBMVkcftxDbv1haxD2bIHL6B+mfOr7H
-/BU6IOAof0NnfCsECGHVlvBK4xi12Fg1QDSbcs9zt2dZwG9KO4nOaBsLQtl3BpHC
-ji3aMvfku65jERW7rxrPB9Lw026DNU6oJG85LtrUOF2kkSQ=
-=/HPJ
------END PGP PUBLIC KEY BLOCK-----
Index: ckvanderzwet.pub
===================================================================
--- /rickvanderzwet.pub	(revision 422)
+++ 	(revision )
@@ -1,1 +1,0 @@
-ssh-rsa AAAAB3NzaC1yc2EAAAABIwAAAQEA5MjGEsF8Uh2E6Rq3ddpRTsPs7CEtwLewAG7EyCmG5eT4xgtMxbvtiVWFUtQczc8YAZdq8bNb4c7f9rhsuqpCtwgqBF1WZBrisX6IMFHW6eNs/9JZj+V5wqVAS8IyhXwTkuuGSggUXnFHGWrPJiBHAYc2p3fmZuZFNhvD0b3SIeMEYbI8e1xaumCp1U+ZQ6tcLjxM8MOIc9DbIx9QT+UmGvLf5wI5fI82LY+Sp88UPmrmb+oSARBQciWedBArOm0z+frWZBvf+IHxYEkww52vfGvNHja6P/1B0zcRG6ZLNcLBlvlN+dJ2iYwIokMTjofXPp53UzL7SyhkSBtiNFvUcQ== info@rickvanderzwet.nl