Index: liacs/pnbm/project/report.tex
===================================================================
--- liacs/pnbm/project/report.tex	(revision 11)
+++ liacs/pnbm/project/report.tex	(revision 12)
@@ -6,6 +6,6 @@
 
 \frenchspacing
-\usepackage[english,dutch]{babel}
-\selectlanguage{dutch}
+\usepackage[english]{babel}
+\selectlanguage{english}
 \usepackage{graphicx}
 \usepackage{url}
@@ -39,14 +39,16 @@
 
 \section{Modeling}
-To model this process we will take a modular approach, since the goal of this
-assignment is to have a solution that can be applied to any configuration of
-cells. We start with a bulding block that is an abstraction of a cell,
-which can then be coupled to other cells. The abstraction contains two
-different types. First the proteins are modelled, secondly the proteins are leading 
-in a second process of the creation of gradients which also needs modeling. We
-assume a 1:1 mapping between the amount of proteins and gradients -this taken
-into consideration- ones an $INITIAL$ protein is used in this process it get
-called $ACTIVATED$. We assume that this process is taking place at cell $A$ at
-the same time that the proteins get transfered from cell $A$ to $B$. 
+To model this process we will take a modular approach using coloured PetriNets
+(see Fig~\ref{fig:model}), since the goal of this assignment is to have a
+solution that can be applied to any configuration of cells. We start with a
+bulding block that is an abstraction of a cell (figure: circle), which can then
+be coupled to other cells (figure: arrows). The abstraction contains two
+different types. First the proteins are modelled (figure: red), secondly the
+proteins (figure: blue) are leading in a second process of the creation of
+gradients which also needs modeling. We assume a 1:1 mapping between the amount
+of proteins and gradients -this taken into consideration- ones an $INITIAL$
+protein is used in this process it get called $ACTIVATED$. We assume that the
+proteins to gradients process is starting at an certain time from the start of
+the process.
 
 The connectors between the cells (the membrams) has a special properly. One
@@ -55,5 +57,16 @@
 then the pressure closes, else it passes volume from A to B at an certain rate.
 For the case there exists no standard PetriNet 'component', hence  this require
-the creation of a new property.
+the creation of a new property (figure: $2:1$), with the following properties:
+
+\begin{verbatim}
+flowSpeed = 2
+if A > 2 * B then
+  A = A - flowSpeed
+  B = B + flowSpeed
+else if B > 2 * A then
+  B = B - flowSpeed
+  A = A + flowSpeed
+endif
+\end{verbatim}
 
 Planar signaling could theoretically start in every cell, by
@@ -61,4 +74,10 @@
 $INITIAL$ tokens beeing put in a random cell.
 
+\begin{figure}[htp]
+\centering
+\caption{Planar signaling model}
+\includegraphics[width=60mm]{planar-signaling-model.eps}
+\label{fig:model}
+\end{figure}
 
 \begin{figure}[htp]
@@ -71,10 +90,12 @@
 \section{CPNTools 'implementation'}
 CPNTools has quite some shortcomings when it comes to modeling (higher level
-developmental) biology. One it the shortcoming of the 'balancing'. It does not
-allow reading of how many tokens are present in a certain state and base action
-uppon them. As workaround for this (see Fig~\ref{fig:CPNplanar}) we used a
-'dump' gradation function. In our case it simply take 3 tokens and pushes 1
-forward and converting 2 directly to $ACTIVATED$. This does not take in
-consideration if the amount get changed in 'further-up', by some external source.
+developmental) biology.
+
+One it the shortcoming of the 'balancing'. It does not allow reading of how
+many tokens are present in a certain state and base action uppon them. As
+workaround for this (see Fig~\ref{fig:CPNplanar}) we used a 'dump' gradation
+function. In our case it simply take 3 tokens and pushes 1 forward and
+converting 2 directly to $ACTIVATED$. This does not take in consideration if
+the amount get changed in 'further-up', by some external source.
 
 Secondly it is missing a possibility to for easy random initialisation for
@@ -82,8 +103,12 @@
 at the head or the tail.
 
-Not very important for our case, but also it should be noted that it missing a
-notion of timed firing sequences; meaning firing sequences which will occur at
-an certain time. This could for example used to 'trigger' a timmed activation
-of the $INITIAL$ to $ACTIVATED$ process.
+In this implementation the protiens to gradiants  process is taking place at
+cell $A$ at the same time that the proteins get transfered from cell $A$ to
+$B$. 
+
+Also it should be noted that it missing a notion of timed firing sequences;
+meaning firing sequences which will occur at an certain time. This could for
+example used to 'trigger' a timmed activation of the $INITIAL$ to $ACTIVATED$
+process as modeled in fig~\ref{fig:model}.
 
 \begin{figure}[htp]