Index: liacs/pnbm/project/pressure-valve.svg
===================================================================
--- liacs/pnbm/project/pressure-valve.svg	(revision 21)
+++ liacs/pnbm/project/pressure-valve.svg	(revision 21)
@@ -0,0 +1,340 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<!-- Created with Inkscape (http://www.inkscape.org/) -->
+
+<svg
+   xmlns:dc="http://purl.org/dc/elements/1.1/"
+   xmlns:cc="http://creativecommons.org/ns#"
+   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+   xmlns:svg="http://www.w3.org/2000/svg"
+   xmlns="http://www.w3.org/2000/svg"
+   xmlns:xlink="http://www.w3.org/1999/xlink"
+   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
+   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
+   width="744.09448819"
+   height="1052.3622047"
+   id="svg2"
+   version="1.1"
+   inkscape:version="0.47pre4 r22446"
+   sodipodi:docname="pressure-valve.svg"
+   inkscape:export-filename="/home/rvdzwet/pressure-valve.png"
+   inkscape:export-xdpi="90"
+   inkscape:export-ydpi="90">
+  <defs
+     id="defs4">
+    <marker
+       inkscape:stockid="Arrow1Lstart"
+       orient="auto"
+       refY="0.0"
+       refX="0.0"
+       id="Arrow1Lstart"
+       style="overflow:visible">
+      <path
+         id="path3826"
+         d="M 0.0,0.0 L 5.0,-5.0 L -12.5,0.0 L 5.0,5.0 L 0.0,0.0 z "
+         style="fill-rule:evenodd;stroke:#000000;stroke-width:1.0pt;marker-start:none"
+         transform="scale(0.8) translate(12.5,0)" />
+    </marker>
+    <linearGradient
+       id="linearGradient3697">
+      <stop
+         id="stop3699"
+         offset="0"
+         style="stop-color:#0037ff;stop-opacity:1;" />
+      <stop
+         id="stop3701"
+         offset="1"
+         style="stop-color:#0001ff;stop-opacity:0;" />
+    </linearGradient>
+    <inkscape:perspective
+       sodipodi:type="inkscape:persp3d"
+       inkscape:vp_x="0 : 526.18109 : 1"
+       inkscape:vp_y="0 : 1000 : 0"
+       inkscape:vp_z="744.09448 : 526.18109 : 1"
+       inkscape:persp3d-origin="372.04724 : 350.78739 : 1"
+       id="perspective10" />
+    <inkscape:perspective
+       id="perspective3618"
+       inkscape:persp3d-origin="0.5 : 0.33333333 : 1"
+       inkscape:vp_z="1 : 0.5 : 1"
+       inkscape:vp_y="0 : 1000 : 0"
+       inkscape:vp_x="0 : 0.5 : 1"
+       sodipodi:type="inkscape:persp3d" />
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient3600-7"
+       id="linearGradient3608-1"
+       x1="154.28571"
+       y1="527.14789"
+       x2="154.28571"
+       y2="377.57648"
+       gradientUnits="userSpaceOnUse" />
+    <linearGradient
+       id="linearGradient3600-7">
+      <stop
+         style="stop-color:#ff0000;stop-opacity:1;"
+         offset="0"
+         id="stop3602-7" />
+      <stop
+         style="stop-color:#ff0000;stop-opacity:0;"
+         offset="1"
+         id="stop3604-9" />
+    </linearGradient>
+    <linearGradient
+       gradientTransform="matrix(0.9954321,0,0,2.5728823,323.56192,-880.0839)"
+       y2="493.45007"
+       x2="154.28571"
+       y1="527.14789"
+       x1="154.28571"
+       gradientUnits="userSpaceOnUse"
+       id="linearGradient3627"
+       xlink:href="#linearGradient3697"
+       inkscape:collect="always" />
+    <inkscape:perspective
+       id="perspective3660"
+       inkscape:persp3d-origin="0.5 : 0.33333333 : 1"
+       inkscape:vp_z="1 : 0.5 : 1"
+       inkscape:vp_y="0 : 1000 : 0"
+       inkscape:vp_x="0 : 0.5 : 1"
+       sodipodi:type="inkscape:persp3d" />
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient3600-7"
+       id="linearGradient3685"
+       x1="188.57143"
+       y1="524.29071"
+       x2="188.57143"
+       y2="134.7193"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1.0000451,0,0,0.99265066,54.277207,-44.721214)" />
+    <inkscape:perspective
+       id="perspective3734"
+       inkscape:persp3d-origin="0.5 : 0.33333333 : 1"
+       inkscape:vp_z="1 : 0.5 : 1"
+       inkscape:vp_y="0 : 1000 : 0"
+       inkscape:vp_x="0 : 0.5 : 1"
+       sodipodi:type="inkscape:persp3d" />
+    <linearGradient
+       gradientTransform="matrix(0.9954321,0,0,2.5728823,323.5619,-361.51247)"
+       y2="452.36218"
+       x2="154.28571"
+       y1="527.14789"
+       x1="154.28571"
+       gradientUnits="userSpaceOnUse"
+       id="linearGradient3627-8"
+       xlink:href="#linearGradient3697-3"
+       inkscape:collect="always" />
+    <linearGradient
+       id="linearGradient3697-3">
+      <stop
+         id="stop3699-8"
+         offset="0"
+         style="stop-color:#0037ff;stop-opacity:1;" />
+      <stop
+         id="stop3701-7"
+         offset="1"
+         style="stop-color:#0001ff;stop-opacity:0;" />
+    </linearGradient>
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient3600-7-4"
+       id="linearGradient3685-5"
+       x1="188.57143"
+       y1="524.29071"
+       x2="188.57143"
+       y2="134.7193"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1.0000451,0,0,0.99265066,-97.15136,-113.29264)" />
+    <linearGradient
+       id="linearGradient3600-7-4">
+      <stop
+         style="stop-color:#ff0000;stop-opacity:1;"
+         offset="0"
+         id="stop3602-7-4" />
+      <stop
+         style="stop-color:#ff0000;stop-opacity:0;"
+         offset="1"
+         id="stop3604-9-9" />
+    </linearGradient>
+    <linearGradient
+       y2="218.1899"
+       x2="188.57141"
+       y1="524.29071"
+       x1="188.57143"
+       gradientTransform="matrix(1.0000451,0,0,0.99265066,54.277217,473.85024)"
+       gradientUnits="userSpaceOnUse"
+       id="linearGradient3752"
+       xlink:href="#linearGradient3600-7-4"
+       inkscape:collect="always" />
+    <inkscape:perspective
+       id="perspective3801"
+       inkscape:persp3d-origin="0.5 : 0.33333333 : 1"
+       inkscape:vp_z="1 : 0.5 : 1"
+       inkscape:vp_y="0 : 1000 : 0"
+       inkscape:vp_x="0 : 0.5 : 1"
+       sodipodi:type="inkscape:persp3d" />
+    <inkscape:perspective
+       id="perspective4279"
+       inkscape:persp3d-origin="0.5 : 0.33333333 : 1"
+       inkscape:vp_z="1 : 0.5 : 1"
+       inkscape:vp_y="0 : 1000 : 0"
+       inkscape:vp_x="0 : 0.5 : 1"
+       sodipodi:type="inkscape:persp3d" />
+    <marker
+       inkscape:stockid="Arrow1Lstart"
+       orient="auto"
+       refY="0"
+       refX="0"
+       id="Arrow1Lstart-9"
+       style="overflow:visible">
+      <path
+         id="path3826-9"
+         d="M 0,0 5,-5 -12.5,0 5,5 0,0 z"
+         style="fill-rule:evenodd;stroke:#000000;stroke-width:1pt;marker-start:none"
+         transform="matrix(0.8,0,0,0.8,10,0)" />
+    </marker>
+    <inkscape:perspective
+       id="perspective4311"
+       inkscape:persp3d-origin="0.5 : 0.33333333 : 1"
+       inkscape:vp_z="1 : 0.5 : 1"
+       inkscape:vp_y="0 : 1000 : 0"
+       inkscape:vp_x="0 : 0.5 : 1"
+       sodipodi:type="inkscape:persp3d" />
+  </defs>
+  <sodipodi:namedview
+     id="base"
+     pagecolor="#ffffff"
+     bordercolor="#666666"
+     borderopacity="1.0"
+     inkscape:pageopacity="0.0"
+     inkscape:pageshadow="2"
+     inkscape:zoom="0.35"
+     inkscape:cx="-140.71429"
+     inkscape:cy="607.33757"
+     inkscape:document-units="px"
+     inkscape:current-layer="layer1"
+     showgrid="false"
+     inkscape:window-width="1124"
+     inkscape:window-height="789"
+     inkscape:window-x="135"
+     inkscape:window-y="30"
+     inkscape:window-maximized="0" />
+  <metadata
+     id="metadata7">
+    <rdf:RDF>
+      <cc:Work
+         rdf:about="">
+        <dc:format>image/svg+xml</dc:format>
+        <dc:type
+           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
+        <dc:title></dc:title>
+      </cc:Work>
+    </rdf:RDF>
+  </metadata>
+  <g
+     inkscape:label="Layer 1"
+     inkscape:groupmode="layer"
+     id="layer1">
+    <rect
+       style="fill:url(#linearGradient3685);fill-opacity:1;fill-rule:evenodd;stroke:#000000;stroke-width:1.60627389px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
+       id="rect2816"
+       width="130.8223"
+       height="385.108"
+       x="177.44598"
+       y="89.808159" />
+    <rect
+       style="fill:url(#linearGradient3627);fill-opacity:1;fill-rule:evenodd;stroke:#000000;stroke-width:1.600353px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
+       id="rect2816-7"
+       width="130.82822"
+       height="382.25677"
+       x="411.72876"
+       y="92.662369" />
+    <text
+       xml:space="preserve"
+       style="font-size:144px;font-style:normal;font-weight:normal;fill:#000000;fill-opacity:1;stroke:none;font-family:Bitstream Vera Sans"
+       x="193.63838"
+       y="455.2193"
+       id="text3648"><tspan
+         sodipodi:role="line"
+         id="tspan3650"
+         x="193.63838"
+         y="455.2193">A</tspan></text>
+    <text
+       xml:space="preserve"
+       style="font-size:144px;font-style:normal;font-weight:normal;fill:#000000;fill-opacity:1;stroke:none;font-family:Bitstream Vera Sans"
+       x="425.77957"
+       y="464.85046"
+       id="text3648-8"><tspan
+         sodipodi:role="line"
+         id="tspan3650-2"
+         x="425.77957"
+         y="464.85046">B</tspan></text>
+    <rect
+       style="fill:url(#linearGradient3752);fill-opacity:1;fill-rule:evenodd;stroke:#000000;stroke-width:1.60627389px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
+       id="rect2816-3"
+       width="130.8223"
+       height="385.108"
+       x="177.44598"
+       y="608.37958" />
+    <rect
+       style="fill:url(#linearGradient3627-8);fill-opacity:1;fill-rule:evenodd;stroke:#000000;stroke-width:1.600353px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
+       id="rect2816-7-8"
+       width="130.82822"
+       height="382.25677"
+       x="411.72876"
+       y="611.23383" />
+    <text
+       xml:space="preserve"
+       style="font-size:144px;font-style:normal;font-weight:normal;fill:#000000;fill-opacity:1;stroke:none;font-family:Bitstream Vera Sans"
+       x="193.63838"
+       y="973.79071"
+       id="text3648-88"><tspan
+         sodipodi:role="line"
+         id="tspan3650-7"
+         x="193.63838"
+         y="973.79071">A</tspan></text>
+    <text
+       xml:space="preserve"
+       style="font-size:144px;font-style:normal;font-weight:normal;fill:#000000;fill-opacity:1;stroke:none;font-family:Bitstream Vera Sans"
+       x="425.77957"
+       y="983.42188"
+       id="text3648-8-9"><tspan
+         sodipodi:role="line"
+         id="tspan3650-2-1"
+         x="425.77957"
+         y="983.42188">B</tspan></text>
+    <path
+       style="fill:none;stroke:#000000;stroke-width:5.80000019;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:17.4, 17.4;stroke-dashoffset:0"
+       d="m 357.14286,95.219326 -10e-6,374.285714"
+       id="path3791"
+       sodipodi:nodetypes="cc" />
+    <path
+       style="fill:none;stroke:#000000;stroke-width:5.80000019;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:17.4, 17.4;stroke-dashoffset:0"
+       d="m 357.14286,616.64789 -10e-6,374.28571"
+       id="path3791-8"
+       sodipodi:nodetypes="cc" />
+    <path
+       style="fill:none;stroke:#000000;stroke-width:4;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:0;stroke-opacity:1;stroke-dasharray:none;marker-start:url(#Arrow1Lstart)"
+       d="M 494.28572,83.790757 C 368.57143,-59.066394 231.42858,80.933607 231.42858,80.933607"
+       id="path3821" />
+    <text
+       xml:space="preserve"
+       style="font-size:40px;font-style:normal;font-weight:normal;fill:#000000;fill-opacity:1;stroke:none;font-family:Bitstream Vera Sans"
+       x="25.714285"
+       y="300.93362"
+       id="text4299"><tspan
+         sodipodi:role="line"
+         id="tspan4301"
+         x="25.714285"
+         y="300.93362">Before</tspan></text>
+    <text
+       xml:space="preserve"
+       style="font-size:40px;font-style:normal;font-weight:normal;fill:#000000;fill-opacity:1;stroke:none;font-family:Bitstream Vera Sans"
+       x="45.139519"
+       y="841.56"
+       id="text4299-4"><tspan
+         sodipodi:role="line"
+         id="tspan4301-7"
+         x="45.139519"
+         y="841.56">After</tspan></text>
+  </g>
+</svg>