Index: liacs/pnbm/paper-review.txt
===================================================================
--- liacs/pnbm/paper-review.txt	(revision 24)
+++ liacs/pnbm/paper-review.txt	(revision 24)
@@ -0,0 +1,83 @@
+Rick van der Zwet - 0433373
+Petri-Nets and Bio-modeling (fall 2009)
+
+
+
+= Petri Net Representations in Metabolic Pathways =
+
+Living cells are composed of a wide array of compounds, and chemical reactions that occur simultaneously. A complete understanding of the behavior of these reactions is possible only through complete analysis. Qualitative analysis of the behavior of these reactions constitutes the qualitative study of metabolic pathways.
+
+A Metabolic pathway within an organism, is a series of enzymatic reactions consuming certain metabolites and producing others. often these metabolites participate in more than one metabolic pathway. Verification, interpretation and representations are often difficult processes, PNs could assist in this.
+
+places would represent compounds (such as metabolites, enzymes, cofactors etc.) participating in a bio-reaction. transitions to represent individual reactions or a series of forward reactions when the intermediary compounds are not of primary interest. Some important properties of PNs applies as well:  
+  - Liveness; ability to fire any transition in the net, from the starting point on), 
+  - Reachability; whether some transition is ever going to be fired, 
+  - Reversibility; if initial marking is reachable from all other possible markings (reachable from the initial marking), 
+  - Fairness; ether  the firing sequence if finite or every transaction occurs infinitely often, 
+  - Structural reduction; substitution of certain combinations of places and transitions with smaller units without sacrificing the original properties of the net.
+
+
+
+= Petri net modelling of biological networks =
+
+Quantitative models are based on systems of ordinary differential equations, they require accurate kinetic data, which are often lacking. Most of the results are obtained by numerical integration methods. It is therefore difficult to apprehend or prove general properties of the models under study. Quantitative approaches are more suitable to induce dynamical properties of complex systems (when few data are accessible) 
+
+P-invariants are sets of places for which the  weighted sum of tokens is constant independently of the sequence of firings; biological terms (BT): In metabolic networks, these sets correspond to conservation relations).
+T-invariants are firing sequences, which reproduce a marking; BT: cyclical behaviors to the elementary modes of the Metabolic Control Theory.
+Reachability of a marking M asserts that there exists  an evolution (a sequence of firings) from the initial marking to the marking M; BT: it ensures the existence of a trajectory leading the system from an initial state to a desired state.
+Liveness insures that it is always possible to ultimately fire any transition; BT: a reaction 
+for example) can eventually occur. 
+
+Coloured Petri Nets (CPNs) assign data values to the tokens (defining colour sets), and expressions are attached to the arcs, hereby the definition and manipulation of data types.
+HPNs provide a convenient way to represent protein concentration dynamics being coupled with discrete switches. Some examples of usage: CPNs to simulate enzymatic reaction chains,T-invariants correspond to elementary modes in structural pathway analysis,HPN modelling of gene regulatory networks, Regulated metabolic pathways have been modelled and simulated using HFPNs, standard PNs to signalling pathways. 
+
+PNs are not meant to represent spatial properties. bridges might be defined between other modelling formalisms and PNs. 
+
+
+
+= Qualitatively modelling and analysing genetic regulatory networks: a Petri net approach =
+
+Qualitatively modeling and analysing genetic regulatory networks, by modeling Boolean networks using Petri nets, by going trough this phases. 1) update decisions. 2) synchronous state update.
+Inconsistent and incomplete data to be tackled by PNs, which are a non-deterministic modelling formalism which are able to represent conï¬icting choices and unknown behaviour by incorporating all possible next state transitions.
+
+Standard markup used PNML (Petri net markup language) to a wide range of existing Petri net tools to be simulated and analysed. 
+
+
+= What Is a Petri Net? =
+
+Petri nets have a nice graphical representation using only very few diï¬erent types of elements, which is a good basis for an easy understandability of a model and for the learnability of the language it also has a precise mathematical notion often the mathematics, and particularly its presentation, is the reason to consider Petri nets diï¬cult for users.
+
+Petri nets are suggested for a formal semantics of activity diagrams â this notion has evolved to a standard without having any ï¬xed semantics by now. Petri nets are a graphical notion and at the same time Petri nets is described by their executability, their semantics, their behavior or the like.
+
+Two Petri nets are isomorphic if there are bijections  between their respective sets of ob jects (places and transitions)  which are respected by all annotations, relations and mappings that belong to the syntactical deï¬nition. 
+
+Principle of Distributiveness; States are associated to places and thus distributed. A global state is constituted by all local states. 
+
+Principle of Locality; 1) The conditions for enabling a transition, in a certain mode if applicable, only depend on local states of (some) places in its immediate vicinity. 2) The occurrence of an enabled transition only changes the local state of (some) places in its immediate vicinity.
+
+The Token Flow Paradigm; Tokens ï¬ow with inï¬nite speed from place to place, sometimes they mutate, join or split in transitions. 
+
+The behavior of a net is a net; Runs of Petri nets consist of events and pre- and post-conditions that generate a (partial) order. Runs can always be represented by nets.
+
+An occurrence sequence describes a sequential view on a single run, wile a process net is a Petri net representing all events of a run and their mutual 
+causal dependencies.
+
+place invariants, siphons and traps can be used very elegantly for 
+proving that a desirable property holds.
+
+
+
+= Modeling biological systems using Petri nets =
+
+It's hard to model spatial information with PNs. Abstractions levels needs to model various models using PNs. Quantitative models represent the system in a detailed way, producing quantitative results. dynamical properties of complex systems.  Classical PNs are built up from four different building blocks; places, transitions, arcs and tokens and is deterministic. 
+
+Stochastic Petri nets (SPN) allow adding probabilities to PNs, hence loosing it's deterministic characteristic, used for example to model enzyme  reactions. 
+
+Continuous Petri nets (CPN), model continuous behavior in PNs by using continuous places instead of discrete places and have the transitions contain a continuous transition which has a firing quantity (amount that passes through the transition simultaneously, using real number taken from a continuous interval).
+
+Hybrid Petri nets (HPN) is a combination of both a discrete and a continuous Petri net. To model both the continuous behavior, but also allow   probability included. For example water flowing trough a pump (continuous behavior) and including a change the pump will break down (probability behavior)
+
+Self-modifying and Functional Petri nets (SFPn) allows to model behavior of non-modifying dependencies (catalysts) make the weight of an arc dependent on catalyst available.
+
+Hybrid Functional Petri nets (HFPn)  is an enhancement of HPN as it adds the possibility of building hierarchies in the network structure, which makes it useful for describing complex network structures. Using two new types of arcs. Test arcs and Inhibitory arcs. Which test the content of an input place and allow firing based upon the result (conditional firing rules). Note that they only enable firing transitions, they do not consume. 
+
Index: liacs/pnbm/presentation/presentation.txt
===================================================================
--- liacs/pnbm/presentation/presentation.txt	(revision 24)
+++ liacs/pnbm/presentation/presentation.txt	(revision 24)
@@ -0,0 +1,26 @@
+The metabolism between sucrose and starch in the potato tuber is of great research interest. 
+
+Even if the metabolism is one of the best studied in sink organs,
+it is not yet fully understood. *WHY?*
+
+kinetic models based on differential equations are able to simulate networks quantitatively, there are clear limitations to such models, so long as the data are incomplete. ... the detailed kinetic laws and constants are often incomplete or entirely missing.
+WORKAROUND: Nearest neightboor used, estimated
+
+ The conversion of sucrose through hexose phosphates to starch is the major  version of sucrose through hexose phosphates to starch is the major ï¬ux in potato tuber metabolism.
+
+Phosphorylation turns many protein enzymes on and off, causing or preventing the mechanisms of diseases such as cancer and diabetes.
+
+Hexokinases have been found in every organism checked, ranging from bacteria, yeast, and plants to humans and other vertebrates. They are categorized as actin fold proteins, sharing a common ATP binding site core surrounded by more variable sequences that determine substrate affinities and other properties. Several hexokinase isoforms or isozymes providing different functions can occur in a single species.
+
+ In biological models, groups of certain metabolites, such as
+adenylates (AMP+ADT+ATP) or uridylates (UMP+UDP+UTP) often form P-invariants.
+
+According to the ï¬ring rule, transitions without pre-places are always enabled, so they can always ï¬re. Thus, in the model it is assumed that sucrose is always available, and that produced starch can be consumed by or deposited in the cell.
+
+Invariant A: UDPglc, UTP, UDP.
+Invariant B: ATP, AMP, ADP. 
+Invariant C: G6P, F6P, G1P, UTP, ATP(2), ADP, S6P, Pi ,PP(2). 
+ Invariant C represents the set of all compounds, which provide directly or indirectly a phosphate group.
+
+Invariants A and B comprise the metabolites containing uridine or
+adenosine residues, respectively.   