Index: liacs/pnbm/project/latex.mk
===================================================================
--- liacs/pnbm/project/latex.mk	(revision 21)
+++ liacs/pnbm/project/latex.mk	(revision 25)
@@ -10,5 +10,5 @@
 DVIPDF = dvipdf
 ASPELL = aspell
-ASPELL_ARGS = -c --mode=tex
+ASPELL_ARGS = -c --mode=tex -x
 
 #XXX: Make me dynamic
Index: liacs/pnbm/project/report.tex
===================================================================
--- liacs/pnbm/project/report.tex	(revision 21)
+++ liacs/pnbm/project/report.tex	(revision 25)
@@ -14,5 +14,5 @@
 \usepackage{amssymb,amsmath}
 
-\title{DRAFT: Modeling planar signalling in AP axis development in \emph{Xenopus laevis}\\
+\title{Modeling planar signalling in AP axis development in \emph{Xenopus laevis}\\
 \large{using Petri Nets in Higher Level Developmental Biology}}
 \author{Rick van der Zwet, Tiago Borges Coelho \\
@@ -24,29 +24,35 @@
 \maketitle
 \section{Abstract}
-Planar signaling is the process in which cells accumulate proteins based on the
-saturation of nearby cells. If one cell produces n ammount of proteins, it will
-initiate a transfering cascade to cells in the vicinity. This dissemination of
-proteins will eventually cease, considering that n is a finite variable. There
-is a gradation in the ammount of proteins transfered, meaning that neighbouring
-cells get n/2 the ammount of proteins of the most saturated cell.
+Planar signaling is the process within the development of the AP axis
+development of the \emph{Xenopus laevis} \cite{Bertens09} in which cells
+accumulate proteins based on the saturation of nearby cells. If one cell
+produces n amount of proteins, it will initiate a transferring cascade to cells
+in the vicinity.  This dissemination of proteins will eventually cease,
+considering that n is a finite variable. There is a gradation in the amount of
+proteins transferred, meaning that neighbouring cells get n/2 the amount of
+proteins of the most saturated cell.
 
-XXX: Citing to the Bio Papers
-XXX: Small introductions Petri-nets
+We are going to model this into Petri-Nets beeing a mathematical modeling
+language, which suit well for this purpose as we could nicely model the process
+in graphical interactive representation and could also be used for automated
+model tracking and analyze.
 
-\section{Approch}
-First a PetriNet model will be defined textually and using graphs next the
-modeling will be taking into practice using the modeling tool\emph{CPNTools}. 
+\section{Approach}
+First a Petri-Net model will be defined textually and using graphs next the
+modeling will be taking into practice using the modeling tool\emph{CPNTools}
+\footnote{http://wiki.daimi.au.dk/cpntools/cpntools.wiki}.
 
 \section{Modeling}
-To model this process we will take a modular approach using coloured PetriNets
+To model this process we will take a modular approach using coloured Petri-Nets
 (see Fig~\ref{fig:model}), since the goal of this assignment is to have a
 solution that can be applied to any configuration of cells. We start with a
-bulding block that is an abstraction of a cell (figure: circle), which can then
+building block that is an abstraction of a cell (figure: circle), which can then
 be coupled to other cells (figure: arrows). The abstraction contains two
 different types. First the proteins are modelled (figure: red), secondly the
 proteins (figure: blue) are leading in a second process of the creation of
-gradients which also needs modeling. We assume a 1:1 mapping between the amount
-of proteins and gradients -this taken into consideration- ones an \texttt{INITIAL}
-protein is 'used' (e.g. has on posterisation counterpart) in this process it
+posterisation which also needs modeling. We assume a 1:1 mapping between the amount
+of proteins and the posterisation -this taken into consideration- ones an
+\texttt{INITIAL} protein is 'used' (e.g. has on posterisation counterpart) in
+this process it
 get called \texttt{ACTIVATED}. We assume that the proteins to posterisation
 process is taking place at the same time as the proteins distribution. And in a
@@ -62,20 +68,21 @@
 posterisation present.
 
-The connectors between the cells (the membrams) has a special properly. One
-can see them as pressure valves others as sighons (see Fig~\ref{fig:pressure}).
+The connectors between the cells (the membranes) has a special properly. One
+can see them as pressure valves others as siphons (see Fig~\ref{fig:pressure}).
 The moment the 'volume' at complies with the following properly $A / 2 < B$
 then the pressure closes, else it passes volume from A to B at an certain rate
 (\texttt{flowSpeed}). This rate could depend on the difference, actual value present
-or something else.
+or something else. Please do mind that negative values could ever appear hence
+the checking whether the source is bigger or equal then the flowSpeed.
 
-For the case there exists no standard PetriNet 'component', hence  this require
+For the case there exists no standard Petri-Net 'component', hence  this require
 the creation of a new property (figure: $2:1$), with the following properties:
 
 \begin{verbatim}
 flowSpeed = n
-if A > 2 * B then
+if A > 2 * B and A => flowSpeed then
   A = A - flowSpeed
   B = B + flowSpeed
-else if B > 2 * A then
+else if B > 2 * A and B => flowSpeed then
   B = B - flowSpeed
   A = A + flowSpeed
@@ -84,6 +91,6 @@
 
 Planar signaling could theoretically start in every cell, by
-inserting some amount of protiens. In our model represented as a bunch of
-\texttt{INITIAL} tokens beeing put in a random cell.
+inserting some amount of proteins. In our model represented as a bunch of
+\texttt{INITIAL} tokens being put in a random cell.
 
 \begin{figure}[htp]
@@ -106,5 +113,5 @@
 
 One it the shortcoming of the 'balancing'. It does not allow reading of how
-many tokens are present in a certain state and base action uppon them. As
+many tokens are present in a certain state and base action upon them. As
 workaround for this (see Fig~\ref{fig:CPNplanar}) we used a 'dump' gradation
 function. In our case it simply take 3 tokens and pushes 1 forward and
@@ -117,13 +124,13 @@
 at the head or the tail.
 
-In this implementation the protiens to gradiants  process is taking place at
-cell $A$ at the same time that the proteins get transfered from cell $A$ to
+In this implementation the proteins to gradients  process is taking place at
+cell $A$ at the same time that the proteins get transferred from cell $A$ to
 $B$. 
 
 Also it should be noted that it missing a notion of timed firing sequences;
 meaning firing sequences which will occur at an certain time. This could for
-example used to 'trigger' a timmed activation of the \texttt{INITIAL} to
+example used to 'trigger' a timed activation of the \texttt{INITIAL} to
 \texttt{ACTIVATED} process as modeled in fig~\ref{fig:model}. An initial idea
-is shown at fig\ref{fig:time-idea} in appendix 1.
+is shown at fig~\ref{fig:time-idea} in appendix~\ref{sec:timer-idea}.
 
 
@@ -138,22 +145,18 @@
 
 \section{Conclusion}
-Using PetriNets for modeling biology processes is a powerful framework, which
-could be well extendable. The Proof Of Concept implementations and
+Using Petri-Nets for modeling biology processes is a powerful framework, which
+could be well expandable. The Proof Of Concept implementations and
 visualisations how-ever are lacking. \emph{CPNTools} for example does not
-provide a powerfull enough toolset for the modeling purposes.
+provide a powerful enough tool-set for the modeling purposes.
 
+\bibliographystyle{amsalpha}
 \begin{thebibliography}{10}
-%   sing Petri Nets in Higher Level Developmental Biology:
-% A case study on the AP axis development in Xenopus laevis
-%                    Extended Abstract
-% http://www.liacs.nl/~csbpn/COURSE%20DOCUMENTS/extended%20abstract%20Bertens%20Jansen%20Kleijn%20Koutny%20Verbeek.pdf
-% Laura M.F. Bertens
-
-% http://www.liacs.nl/~csbpn/
-%
-%
-
+\bibitem[Bertens09]{Bertens09}Laura M.F. Bertens et al., Using Petri Nets in Higher
+Level Developmental Biology: A case study on the AP axis development in Xenopus
+laevis Extended Abstract, 2009
 \end{thebibliography}
-\section{*Appendix}
+\appendix
+\section{Timer Idea}
+\label{sec:timer-idea}
 
 \begin{figure}[htp]