Index: liacs/nc/low-correlation/Makefile
===================================================================
--- liacs/nc/low-correlation/Makefile	(revision 41)
+++ liacs/nc/low-correlation/Makefile	(revision 42)
@@ -2,4 +2,13 @@
 CFLAGS=-lm
 
+SOURCE=autocorrelation.m.tex initseq.m.tex  mcs-call.m.tex \
+       mcs.m.tex  mutation.m.tex  randint.m.tex  sa-call.m.tex  sa.m.tex
+
+include latex.mk
+
 mcs: mcs.m
 	@octave --silent mcs.m
+
+
+%.m.tex: %.m
+	highlight --linenumbers --no-doc --latex --input $< --output $@
Index: liacs/nc/low-correlation/initseq.m
===================================================================
--- liacs/nc/low-correlation/initseq.m	(revision 41)
+++ liacs/nc/low-correlation/initseq.m	(revision 42)
@@ -2,9 +2,10 @@
 % BSDLicence
 % Rick van der Zwet - 0433373 - <hvdzwet@liacs.nl>
+% $Id$
 
 function s = initseq(n)
-    % Generate a random column s={-1,1}^n
-    s = rand(n,1);
-    s = round(s);
-    s = s - (s == 0);
+  % Generate a random column s={-1,1}^n
+  s = rand(n,1);
+  s = round(s);
+  s = s - (s == 0);
 end
Index: liacs/nc/low-correlation/mcs-call.m
===================================================================
--- liacs/nc/low-correlation/mcs-call.m	(revision 41)
+++ liacs/nc/low-correlation/mcs-call.m	(revision 42)
@@ -2,4 +2,5 @@
 % BSDLicence
 % Rick van der Zwet - 0433373 - <hvdzwet@liacs.nl>
+% $Id$
 
 % Brute-force result of length 20
@@ -14,14 +15,14 @@
 fitnesses = [];
 for iteration = iterations
-    fitness = [];
-    for rep = 1:repetitions
-        fprintf('Iter:%i, Rep:%i\n',iteration,rep);
-        [new_fitness, value] =  mcs(length,iteration);
-        fitness = [fitness, new_fitness];
+  fitness = [];
+  for rep = 1:repetitions
+    fprintf('Iter:%i, Rep:%i\n',iteration,rep);
+    [new_fitness, value] =  mcs(length,iteration);
+    fitness = [fitness, new_fitness];
 
-        % Little hack to display output nicely
-        % disp(rot90(value,-1));
-    end
-    fitnesses = [fitnesses,mean(fitness)];
+    % Little hack to display output nicely
+    % disp(rot90(value,-1));
+  end
+  fitnesses = [fitnesses,mean(fitness)];
 end
 
Index: liacs/nc/low-correlation/mcs.m
===================================================================
--- liacs/nc/low-correlation/mcs.m	(revision 41)
+++ liacs/nc/low-correlation/mcs.m	(revision 42)
@@ -2,4 +2,5 @@
 % BSDLicence
 % Rick van der Zwet - 0433373 - <hvdzwet@liacs.nl>
+% $Id$
 
 % Brute-force result of length 20
@@ -8,20 +9,20 @@
 
 function [fitness,value] = mcs(length, iterations)
-    best_fitness = 0;
-    for i = 1:iterations
-        % Generate a random column s={-1,1}^n
-        n = length;
-        s = rand(n,1);
-        s = round(s);
-        s = s - (s == 0);
-    
-        % Find whether we are better than everything else
-        fitness = autocorrelation(s);
-        if (fitness > best_fitness)
-            best_value = s;
-            best_fitness = fitness;
-        end
+  best_fitness = 0;
+  for i = 1:iterations
+    % Generate a random column s={-1,1}^n
+    n = length;
+    s = rand(n,1);
+    s = round(s);
+    s = s - (s == 0);
+  
+    % Find whether we are better than everything else
+    fitness = autocorrelation(s);
+    if (fitness > best_fitness)
+      best_value = s;
+      best_fitness = fitness;
     end
-    fitness = best_fitness;
-    value = best_value;
+  end
+  fitness = best_fitness;
+  value = best_value;
 end
Index: liacs/nc/low-correlation/mutation.m
===================================================================
--- liacs/nc/low-correlation/mutation.m	(revision 41)
+++ liacs/nc/low-correlation/mutation.m	(revision 42)
@@ -2,8 +2,9 @@
 % BSDLicence
 % Rick van der Zwet - 0433373 - <hvdzwet@liacs.nl>
+% $Id$
 
 function new = mutation(old)
-    loc = randint(1,length(old));
-    old(loc) = old(loc) * -1;
-    new = old;
+  loc = randint(1,length(old));
+  old(loc) = old(loc) * -1;
+  new = old;
 end
Index: liacs/nc/low-correlation/randint.m
===================================================================
--- liacs/nc/low-correlation/randint.m	(revision 41)
+++ liacs/nc/low-correlation/randint.m	(revision 42)
@@ -2,6 +2,7 @@
 % BSDLicence
 % Rick van der Zwet - 0433373 - <hvdzwet@liacs.nl>
+% $Id$
 
 function number = randint(low,high)
-    number = round(rand() * (high - low)) + low;
+  number = round(rand() * (high - low)) + low;
 end
Index: liacs/nc/low-correlation/sa-call.m
===================================================================
--- liacs/nc/low-correlation/sa-call.m	(revision 41)
+++ liacs/nc/low-correlation/sa-call.m	(revision 42)
@@ -2,4 +2,5 @@
 % BSDLicence
 % Rick van der Zwet - 0433373 - <hvdzwet@liacs.nl>
+% $Id$
 
 %% Basic variables