Index: /liacs/nc/low-correlation/Makefile
===================================================================
--- /liacs/nc/low-correlation/Makefile	(revision 50)
+++ /liacs/nc/low-correlation/Makefile	(revision 51)
@@ -2,6 +2,5 @@
 CFLAGS=-lm
 
-SOURCE=autocorrelation.m.tex initseq.m.tex  mcs-call.m.tex \
-       mcs.m.tex  mutation.m.tex  randint.m.tex  sa-call.m.tex  sa.m.tex
+SOURCE=$(patsubst %.m,%.m.tex, $(shell ls *.m))
 
 include latex.mk
@@ -9,6 +8,2 @@
 mcs: mcs.m
 	@octave --silent mcs.m
-
-
-%.m.tex: %.m
-	highlight --linenumbers --no-doc --latex --input $< --output $@
Index: /liacs/nc/low-correlation/latex.mk
===================================================================
--- /liacs/nc/low-correlation/latex.mk	(revision 50)
+++ /liacs/nc/low-correlation/latex.mk	(revision 51)
@@ -56,2 +56,7 @@
 .gs.png:
 	$(GNUPLOT) $?
+
+%.m.tex: %.m
+	highlight --linenumbers --no-doc --latex --style-outfile highlight.sty \
+	  --style vim --wrap --line-length 80 --line-number-length 3 \
+	  --input $< --output $@
Index: /liacs/nc/low-correlation/report.tex
===================================================================
--- /liacs/nc/low-correlation/report.tex	(revision 50)
+++ /liacs/nc/low-correlation/report.tex	(revision 51)
@@ -18,4 +18,5 @@
 \usepackage{color}
 \usepackage{subfig}
+\usepackage{marvosym}
 \floatstyle{ruled}
 \newfloat{result}{thp}{lop}
@@ -56,14 +57,14 @@
 
 \section{Problem description}
-Due to the huge 'exploding' posibilities it is not possible to walk trough the
-whole list of posibities, so we need alternative approches to tackle this
-problem. First we will try the \emph{Monte Carlo Search algoritm [MCS]} and next try
+Due to the huge 'exploding' possibilities it is not possible to walk trough the
+whole list of possibilities, so we need alternative approaches to tackle this
+problem. First we will try the \emph{Monte Carlo Search algorithm [MCS]} and next try
 \emph{Simulated Annealing [SA]}.
 
 \emph{MCS} is all about random sequence generation and trying to find a good
-solution, do a small ajustment on the solution and compare the new solution
+solution, do a small adjustment on the solution and compare the new solution
 again.
 
-\emph{SA} takes a more and less the same aproch, but it also accept small
+\emph{SA} takes a more and less the same approach, but it also accept small
 'losses' from time-to-time. But as time passes it get less likely to accept
 'bad solutions'.
@@ -71,5 +72,5 @@
 \section{Statistics}
 Of course many people have run numerous computer hours on finding the best
-possible fitness as shown in table~\ref{tab:best}. The algoritms used to find
+possible fitness as shown in table~\ref{tab:best}. The algorithms used to find
 those numbers are not found.
 
@@ -92,13 +93,13 @@
 
 \section{Approach}
-The \emph{MCS} is implemented streight-forward from the wikipedia
+The \emph{MCS} is implemented straight-forward from the Wikipedia
 page\footnote{http://en.wikipedia.org/wiki/Monte\_Carlo\_method}. The mutation
 choosing is flipping one bit in the array.
 
-For the \emph{SA} implemented also comes streight from 'the book'
+For the \emph{SA} implemented also comes straight from 'the book'
 \footnote{http://en.wikipedia.org/wiki/Simulated\_annealing}, the process
-choosing for the cooling-down sequence is taken from the dutch wikipedia page
+choosing for the cooling-down sequence is taken from the dutch Wikipedia page
 'Simulated annealing', which is nice indicator when to choose something when
-the solution is worse (logically, beter solutions will always be accepted).
+the solution is worse (logically, better solutions will always be accepted).
 \footnote{http://nl.wikipedia.org/wiki/Simulated\_annealing}:
 \begin{math}
@@ -119,5 +120,5 @@
 
 \section{Results}
-All experiments are run 5 times the best solution is choosen and will be
+All experiments are run 5 times the best solution is chosen and will be
 resented at table~\ref{tab:result}. Iteration size is set to 1000. For $n=20$
 the best fitness history is shown at figure~\ref{fig:fitness}.
@@ -156,5 +157,5 @@
 temperature function is not working as expected. 
 
-Both algoritms are preforming much worse then the best found solutions.
+Both algorithms are preforming much worse then the best found solutions.
 \section{Appendix 1}
 \label{app:code}